Triggers

Manage GitHub and webhook triggers for workflow automation

List Triggers Endpoint

GET
/triggers

Query Parameters

repository?|
status?|

Response Body

application/json

application/json

curl -X GET "https://loading/triggers"
{
  "total": 0,
  "triggers": [
    {
      "trigger_id": "string",
      "name": "string",
      "event": "string",
      "repository": "string",
      "workflow_id": "string",
      "workflow_name": "",
      "status": "string",
      "fire_count": 0,
      "created_at": "2019-08-24T14:15:22Z"
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Register Trigger Endpoint

POST
/triggers

Request Body

application/json

name*string
event*string
repository*string
workflow_id*string
conditions?array<>|
installation_id?string
Default""
input_mapping?|
config?|
created_by?string
Default"api"
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://loading/triggers" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "event": "string",    "repository": "string",    "workflow_id": "string"  }'
{
  "trigger_id": "string",
  "name": "string",
  "status": "string",
  "preset": "string",
  "action": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get All History Endpoint

GET
/triggers/history

Query Parameters

limit?integer
Default50

Response Body

application/json

application/json

curl -X GET "https://loading/triggers/history"
{
  "total": 0,
  "entries": [
    {
      "trigger_id": "string",
      "fired_at": "string",
      "execution_id": "",
      "event_type": "",
      "pr_number": 0,
      "status": "dispatched",
      "guard_name": "",
      "block_reason": ""
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Trigger Endpoint

GET
/triggers/{trigger_id}

Path Parameters

trigger_id*string

Response Body

application/json

application/json

curl -X GET "https://loading/triggers/string"
{
  "trigger_id": "string",
  "name": "string",
  "event": "string",
  "repository": "string",
  "workflow_id": "string",
  "workflow_name": "",
  "status": "string",
  "fire_count": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "conditions": [
    {}
  ],
  "input_mapping": {
    "property1": "string",
    "property2": "string"
  },
  "config": {},
  "installation_id": "",
  "created_by": "",
  "last_fired_at": "2019-08-24T14:15:22Z"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Update Trigger Endpoint

PATCH
/triggers/{trigger_id}

Path Parameters

trigger_id*string

Request Body

application/json

[key: string]?any

Response Body

application/json

application/json

curl -X PATCH "https://loading/triggers/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "trigger_id": "string",
  "name": "string",
  "status": "string",
  "preset": "string",
  "action": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Delete Trigger Endpoint

DELETE
/triggers/{trigger_id}

Path Parameters

trigger_id*string

Response Body

application/json

application/json

curl -X DELETE "https://loading/triggers/string"
{
  "trigger_id": "string",
  "name": "string",
  "status": "string",
  "preset": "string",
  "action": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Get Trigger History Endpoint

GET
/triggers/{trigger_id}/history

Path Parameters

trigger_id*string

Query Parameters

limit?integer
Default50

Response Body

application/json

application/json

curl -X GET "https://loading/triggers/string/history"
{
  "trigger_id": "string",
  "entries": [
    {
      "fired_at": "string",
      "execution_id": "",
      "webhook_delivery_id": "",
      "event_type": "",
      "pr_number": 0,
      "status": "dispatched",
      "cost_usd": 0,
      "guard_name": "",
      "block_reason": ""
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Enable Preset Endpoint

POST
/triggers/presets/{preset_name}

Path Parameters

preset_name*string

Request Body

application/json

[key: string]?any

Response Body

application/json

application/json

curl -X POST "https://loading/triggers/presets/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "trigger_id": "string",
  "name": "string",
  "status": "string",
  "preset": "string",
  "action": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

Syntropic137 Docs v0.25.4 · Last updated March 2026

On this page